%define upstream_name    File-Dir-Dumper
%define upstream_version v0.4.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Writer for a stream of JSON data
License:    MIT
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Devel::CheckOS)
BuildRequires: perl(Digest)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::String)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
# Make the program work with any version of Perl.
perl -lpi -e 's{^(#!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/dir-dump
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri May 19 2017 shlomif <shlomif> 0.4.0-1.mga6
+ Revision: 1103303
- New upstream version 0.4.0

* Sat Dec 17 2016 shlomif <shlomif> 0.2.3-1.mga6
+ Revision: 1075802
- New upstream version 0.2.3 (new features and some bug fixes).

* Sun Jun 19 2016 pterjan <pterjan> 0.0.10-3.mga6
+ Revision: 1027294
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.0.10-2.mga6
+ Revision: 966253
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.0.10-1.mga6
+ Revision: 843158
- update to v0.0.10

* Wed Oct 15 2014 umeabot <umeabot> 0.0.9-3.mga5
+ Revision: 744900
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.0.9-1.mga5
+ Revision: 581152
- update to v0.0.9

* Sat Oct 19 2013 umeabot <umeabot> 0.0.8-4.mga4
+ Revision: 533454
- Mageia 4 Mass Rebuild

* Fri Aug 30 2013 shlomif <shlomif> 0.0.8-3.mga4
+ Revision: 473451
- Typo correction
- Made the executable work with any version of perl - including 5.18.1

* Sun Jun 02 2013 jquelin <jquelin> 0.0.8-2.mga4
+ Revision: 434475
- perl 5.18.0 rebuild

* Wed May 29 2013 shlomif <shlomif> 0.0.8-1.mga4
+ Revision: 432530
- New version 0.0.8

* Mon Mar 18 2013 jquelin <jquelin> 0.0.7-5.mga3
+ Revision: 403819
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.7-4.mga3
+ Revision: 367159
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.0.7-3.mga3
+ Revision: 315008
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.0.7-2.mga3
+ Revision: 283541
- perl 5.16.1 rebuild

* Fri Jun 08 2012 shlomif <shlomif> 0.0.7-1.mga3
+ Revision: 257913
- Add a BR
- New version - 0.0.7

* Sat Dec 17 2011 shlomif <shlomif> 0.0.6-2.mga2
+ Revision: 183251
- imported package perl-File-Dir-Dumper

